Package com.evopdf

# Class HtmlDocumentInfo

java.lang.Object
com.evopdf.HtmlDocumentInfo

public class HtmlDocumentInfo extends Object
This class encapsulates the information about a converted HTML document like title, keywords, description and subject

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HtmlDocumentInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `htmlDocAuthor()`
  Gets the author of the converted HTML document
  `String`
  `htmlDocDescription()`
  Gets the description of the converted HTML document
  `String`
  `htmlDocKeywords()`
  Gets the keywords of the converted HTML document
  `String`
  `htmlDocSubject()`
  Gets the subject of the converted HTML document
  `String`
  `htmlDocTitle()`
  Gets the title of the converted HTML document
  `void`
  `setHtmlDocAuthor(String author)`
  Sets the author of the converted HTML document
  `void`
  `setHtmlDocDescription(String description)`
  Sets the description of the converted HTML document
  `void`
  `setHtmlDocKeywords(String keywords)`
  Sets the keywords of the converted HTML document
  `void`
  `setHtmlDocSubject(String subject)`
  Sets the subject of the converted HTML document
  `void`
  `setHtmlDocTitle(String title)`
  Sets the title of the converted HTML document

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HtmlDocumentInfo

    public HtmlDocumentInfo()

- ## Method Details

  - ### htmlDocTitle

    public String htmlDocTitle()
    Gets the title of the converted HTML document
    Returns:
      the title of the converted HTML document

  - ### setHtmlDocTitle

    public void setHtmlDocTitle(String title)
    Sets the title of the converted HTML document
    Parameters:
      `title` - the title to set

  - ### htmlDocKeywords

    public String htmlDocKeywords()
    Gets the keywords of the converted HTML document
    Returns:
      the keywords of the converted HTML document

  - ### setHtmlDocKeywords

    public void setHtmlDocKeywords(String keywords)
    Sets the keywords of the converted HTML document
    Parameters:
      `keywords` - the keywords to set

  - ### htmlDocDescription

    public String htmlDocDescription()
    Gets the description of the converted HTML document
    Returns:
      the description of the converted HTML document

  - ### setHtmlDocDescription

    public void setHtmlDocDescription(String description)
    Sets the description of the converted HTML document
    Parameters:
      `description` - the description to set

  - ### htmlDocSubject

    public String htmlDocSubject()
    Gets the subject of the converted HTML document
    Returns:
      the subject of the converted HTML document

  - ### setHtmlDocSubject

    public void setHtmlDocSubject(String subject)
    Sets the subject of the converted HTML document
    Parameters:
      `subject` - the subject to set

  - ### htmlDocAuthor

    public String htmlDocAuthor()
    Gets the author of the converted HTML document
    Returns:
      the author of the converted HTML document

  - ### setHtmlDocAuthor

    public void setHtmlDocAuthor(String author)
    Sets the author of the converted HTML document
    Parameters:
      `author` - the author to set